Bug 1353341 - Kernel 4.5 regression: no longer able to output 4096x2160@60 from a Radeon R9 390X to an LG 31MU97z (DisplayPort)
Summary: Kernel 4.5 regression: no longer able to output 4096x2160@60 from a Radeon R9...
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-06 20:34 UTC by fednuc
Modified: 2020-03-17 16:56 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description fednuc 2016-07-06 20:34:55 UTC
With Fedora 23, native resolution output (4096x2160) was working with the following modeline:

Modeline "4096x2160"  760.00  4096 4432 4880 5664  2160 2163 2173 2237 -hsync +vsync

With the same modeline in Fedora 24, screen output fails, with the following log messages:

kernel: [drm:radeon_dp_link_train [radeon]] *ERROR* channel eq failed
kernel: [drm:radeon_dp_link_train [radeon]] *ERROR* channel eq failed: 5 tries

* I installed the last (working) kernel I was using in Fedora 23 (4.5.7-200.fc23.x86_64) and still no output.
* Strangely, the version of xorg-x11-drv-ati seems to be the same on F23 and F24 (7.6.1-3.20160215gitd41fccc)
* With CVT-R, I can get full output res., but with artifacts down the right hand side of the screen, the same behaviour as on F23.
* 4096x2160@60 was added as a custom modeline in xorg.conf.d as EDID can't describe that horizontal res

Comment 1 fednuc 2016-07-06 22:03:19 UTC
Update: I must have been wrong about having booted from kernel 4.5 on F23 - just tested some old F23/F24 kernels on F24 with the following results:

4.4.9-300.fc23 (last 4.4 on F23) - WORKS
4.5.0-300.fc24 (first non-RC 4.5 on F24) - DOESN'T WORK
4.5.3-200.fc23 (first 4.5 on F23) - DOESN'T WORK

So seems to be a kernel 4.5 regression.

What's the best way of getting this fixed?

Comment 2 Laura Abbott 2016-09-23 19:21:07 UTC
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 24 kernel bugs.
 
Fedora 24 has now been rebased to 4.7.4-200.fc24.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 25, and are still experiencing this issue, please change the version to Fedora 25.
 
If you experience different issues, please open a new bug report for those.

Comment 3 fednuc 2016-09-23 20:44:28 UTC
This bug is still present in 4.7.4-200. The only change is that KMS auto-configures before X to the correct 4096x2160 resolution instead of 3840x2160.

The core issue - corruption or no output at the correct resolution in kernels 4.5+ - remains.

CVT timing - no signal.
CVT-R timing - signal, but corruption down the right-hand side.

Kernel 4.4 works with CVT timing corruption-free.

Am I wasting my time responding to this? The first response on this bug has been a mass-update message after 2.5 months.

Comment 4 Laura Abbott 2016-09-23 21:24:31 UTC
Assigning this to the correct component. the xorg-x11-drv-ati area is used for tracking issues with kernel graphics drivers.

Comment 5 fednuc 2016-09-24 00:58:30 UTC
Even though it's nothing to do with X?

Comment 6 fednuc 2016-11-02 13:43:04 UTC
I'm not sure if this was assigned *away* from xorg-x11-drv-ati, if so ignore my last comment.

This bug is still present on Fedora 25 with the kernel 4.8.* series (currently 4.8.5). I am now running a kernel from two Fedora versions ago (4.4.9 from F23) to have a working monitor.

How can I progress this? It's been entirely ignored for the Fedora 24 release period.

Comment 7 Hans de Goede 2016-11-02 15:44:12 UTC
(In reply to Stephen from comment #6)
> I'm not sure if this was assigned *away* from xorg-x11-drv-ati, if so ignore
> my last comment.
> 
> This bug is still present on Fedora 25 with the kernel 4.8.* series
> (currently 4.8.5). I am now running a kernel from two Fedora versions ago
> (4.4.9 from F23) to have a working monitor.
> 
> How can I progress this?

Red Hat / Fedora has only 8 people working on graphics, supporting all possible hardware for all RH / Fedora versions, as such unfortunately we unfortunately cannot track down and fix every bug.

But there is an other way, which usually works well for ATI GPU problems, file a bug with upstream and get the upstream developers to directly help you with your problem.

To do this go here:

https://bugs.freedesktop.org/enter_bug.cgi?product=DRI

And choose DRM/Radeon as component. Please add a link here when you've done this.

Comment 8 fednuc 2016-11-02 16:15:56 UTC
OK thanks, understood and I appreciate the helpful response :)

Comment 9 Laura Abbott 2017-01-17 01:25:31 UTC
*********** MASS BUG UPDATE **************
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 25 kernel bugs.
 
Fedora 25 has now been rebased to 4.9.3-200.fc25.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.
 
If you experience different issues, please open a new bug report for those.

Comment 10 fednuc 2017-01-17 03:12:05 UTC
Still present (and also present in 4.10 rc kernels from f26).

Comment 11 Justin M. Forbes 2017-04-11 14:56:18 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 25 kernel bugs.

Fedora 25 has now been rebased to 4.10.9-200.fc25.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.

If you experience different issues, please open a new bug report for those.

Comment 12 fednuc 2017-04-11 15:43:32 UTC
Still broken.

Comment 13 Fedora End Of Life 2017-11-16 19:26:50 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 14 fednuc 2017-11-18 12:55:25 UTC
Still identically broken on F27/4.13 (and 4.14 from F28).

Comment 15 Laura Abbott 2018-02-20 20:07:03 UTC
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  As kernel maintainers, we try to keep up with bugzilla but due the rate at which the upstream kernel project moves, bugs may be fixed without any indication to us. Due to this, we are doing a mass bug update across all of the Fedora 27 kernel bugs.
 
Fedora 27 has now been rebased to 4.15.3-300.f27.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you experience different issues, please open a new bug report for those.

Comment 16 fednuc 2018-02-20 20:19:28 UTC
This bug is still present with the "radeon" driver on 4.15.3-300.

*However*, as of 4.15, the "amdgpu" driver, which also supports the 390X, gained AMD's "DC" code which brings DP/HDMI audio output support to the driver.

Forcing the amdgpu driver results in full DCI 4K (4096x2160) output without any glitches (so far, after ~ 2 days), and forcing use of DC code (which is disabled by default when using the driver for pre-Vega cards) results in working DP/HDMI audio as well, so it both works and has feature parity with the buggy "radeon" driver.

For anyone seeing the same problem, this can be done by appending the following kernel boot parameters (more info at https://wiki.archlinux.org/index.php/AMDGPU#Enable_Southern_Islands_.28SI.29_and_Sea_Islands_.28CIK.29_support):

amdgpu.cik_support=1 radeon.cik_support=0 amdgpu.dc=1

However, as mentioned, this bug is still present in the "radeon" driver used by default for this card.

Comment 17 Justin M. Forbes 2018-07-23 15:33:16 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 27 kernel bugs.

Fedora 27 has now been rebased to 4.17.7-100.fc27.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 28, and are still experiencing this issue, please change the version to Fedora 28.

If you experience different issues, please open a new bug report for those.

Comment 18 fednuc 2018-07-28 16:33:37 UTC
Still broken on F28 and 4.17.9 with the "radeon" driver.

The "amdgpu" driver works as mentioned above. DC is enabled by default in 4.17, so the needed kernel params are now:

amdgpu.cik_support=1 radeon.cik_support=0

Two minor issues with "amdgpu":

1) Plymouth doesn't show LUKS passphrase entry: https://bugzilla.redhat.com/show_bug.cgi?id=1490490

2) On boot there are 3+ amdgpu-related kernel warnings, tainting the kernel. Doesn't seem to affect anything else.

Comment 19 Laura Abbott 2018-10-01 21:36:32 UTC
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 28 kernel bugs.
 
Fedora 28 has now been rebased to 4.18.10-300.fc28.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 29, and are still experiencing this issue, please change the version to Fedora 29.
 
If you experience different issues, please open a new bug report for those.

Comment 20 fednuc 2018-10-01 23:23:06 UTC
Still broken.

Comment 21 Justin M. Forbes 2019-01-29 16:29:01 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 28 kernel bugs.

Fedora 28 has now been rebased to 4.20.5-100.fc28.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 29, and are still experiencing this issue, please change the version to Fedora 29.

If you experience different issues, please open a new bug report for those.

Comment 22 Justin M. Forbes 2019-08-20 17:45:53 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 29 kernel bugs.

Fedora 29 has now been rebased to 5.2.9-100.fc29.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 30, and are still experiencing this issue, please change the version to Fedora 30.

If you experience different issues, please open a new bug report for those.

Comment 23 fednuc 2019-08-23 15:47:00 UTC
Still an issue on Fedora 30 with 5.2.9-200.fc30.x86_64 - same corruption problem with the radeon driver.

amdgpu still works without corruption, subject to the standing issue with Plymouth (https://bugzilla.redhat.com/show_bug.cgi?id=1490490).

Comment 24 Justin M. Forbes 2020-03-03 16:37:32 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 30 kernel bugs.

Fedora 30 has now been rebased to 5.5.7-100.fc30.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 31, and are still experiencing this issue, please change the version to Fedora 31.

If you experience different issues, please open a new bug report for those.

Comment 25 Justin M. Forbes 2020-03-17 16:11:29 UTC
At this point, amdgpu should be working correct?

Comment 26 fednuc 2020-03-17 16:45:17 UTC
It does, without any kernel warnings any more as well.

However this is still an out of the box bug since Fedora (also upstream?) defaults to the radeon driver for Volcanic Islands GPUs.

I don't know if there's a reason Volcanic Islands support is still enabled for radeon - maybe there are problems with some models using amdgpu? - or if there's a way at this point for upstream or distros to whitelist/blacklist models for one driver or the other, without the user having to set kernel params themselves.


Note You need to log in before you can comment on or make changes to this bug.